pcl::poisson::CoredFileMeshData Class Reference

`#include <pcl/surface/3rdparty/poisson4/geometry.h>`

Inheritance diagram for pcl::poisson::CoredFileMeshData:

## Public Member Functions

| CoredFileMeshData (void)
| ~CoredFileMeshData (void)
void | resetIterator (void)
int | addOutOfCorePoint (const Point3D< float > &p)
int | addPolygon (const std::vector< CoredVertexIndex > &vertices)
int | nextOutOfCorePoint (Point3D< float > &p)
int | nextPolygon (std::vector< CoredVertexIndex > &vertices)
int | outOfCorePointCount (void)
int | polygonCount (void)

## Additional Inherited Members

Public Attributes inherited from pcl::poisson::CoredMeshData
std::vector< Point3D< float > > | inCorePoints

## Detailed Description

Definition at line 287 of file geometry.h.

## Constructor & Destructor Documentation

pcl::poisson::CoredFileMeshData::CoredFileMeshData | ( | void |  | ) |

pcl::poisson::CoredFileMeshData::~CoredFileMeshData | ( | void |  | ) |

## Member Function Documentation

int pcl::poisson::CoredFileMeshData::addOutOfCorePoint | ( | const Point3D< float > & | p | ) |

virtual

Implements pcl::poisson::CoredMeshData.

int pcl::poisson::CoredFileMeshData::addPolygon | ( | const std::vector< CoredVertexIndex > & | vertices | ) |

virtual

Implements pcl::poisson::CoredMeshData.

int pcl::poisson::CoredFileMeshData::nextOutOfCorePoint | ( | Point3D< float > & | p | ) |

virtual

Implements pcl::poisson::CoredMeshData.

int pcl::poisson::CoredFileMeshData::nextPolygon | ( | std::vector< CoredVertexIndex > & | vertices | ) |

virtual

Implements pcl::poisson::CoredMeshData.

int pcl::poisson::CoredFileMeshData::outOfCorePointCount | ( | void |  | ) |

virtual

Implements pcl::poisson::CoredMeshData.

int pcl::poisson::CoredFileMeshData::polygonCount | ( | void |  | ) |

virtual

Implements pcl::poisson::CoredMeshData.

void pcl::poisson::CoredFileMeshData::resetIterator | ( | void |  | ) |

virtual

Implements pcl::poisson::CoredMeshData.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/geometry.h